Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

ossl_engine.h
Go to the documentation of this file.
1 /*
2 * 'OpenSSL for Ruby' project
3 * Copyright (C) 2003 Michal Rokos <m.rokos@sh.cvut.cz>
4 * Copyright (C) 2003 GOTOU Yuuzou <gotoyuzo@notwork.org>
5 * All rights reserved.
6 */
7 /*
8 * This program is licensed under the same licence as Ruby.
9 * (See the file 'LICENCE'.)
10 */
11 #if !defined(OSSL_ENGINE_H)
12 #define OSSL_ENGINE_H
13
14 extern VALUE cEngine;
15 extern VALUE eEngineError;
16
17 void Init_ossl_engine(void);
18
19 #endif /* OSSL_ENGINE_H */
VALUE
unsigned long VALUE
Definition: ruby.h:102
eEngineError
VALUE eEngineError
Definition: ossl_engine.c:44
Init_ossl_engine
void Init_ossl_engine(void)
Definition: ossl_engine.c:529
cEngine
VALUE cEngine
Definition: ossl_engine.c:39